﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace Borepin.Converter
{
    public class MachineStateStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch((FabAccessAPI.Schema.State)value)
            {
                case (FabAccessAPI.Schema.State.free):
                    return "Free";
                case (FabAccessAPI.Schema.State.inUse):
                    return "In Use";
                case (FabAccessAPI.Schema.State.toCheck):
                    return "To Check";
                case (FabAccessAPI.Schema.State.reserved):
                    return "Reserved";
                case (FabAccessAPI.Schema.State.blocked):
                    return "Blocked";
                case (FabAccessAPI.Schema.State.disabled):
                    return "Disabled";
                default:
                    return "Unknown";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
